/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* ---------- TYPOS ---------- */

h1, h2, h3{
	font-family: "Inter";
	font-weight: 500;
	line-height: 1.2em; /* 100% */
	letter-spacing: -1.677px;
}
@media (min-width: 769px) {
	.hxl {
		font-size: 60px;
		line-height: 1.2em;
	}
}

@media (max-width: 768px) {
.hxl {
		font-size: 40px;
		line-height: 1.2em;
	}
}

p{
	font-family: "Inter";
	font-weight: 400;
	line-height: 160%; /* 27.2px */
	letter-spacing: -0.5px;
	font-size: 16px;
}

.code{
	font-family: "Source Code Pro";
	font-weight: 600;
	line-height: 1.6em; /* 27.2px */
	letter-spacing: -0.697px;
}

/* ---------- NAVIGATION ---------- */

header#masthead {
    overflow: hidden;
}

.inside-header {
    padding: 20px 5% !important;
}

.inside-navigation.grid-container a {
    font-family: 'Source Code Pro';
}

/* ---------- LAYOUTS ---------- */

.btn {
    border-radius: 8px;
    font-family: "Source Code Pro";
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
}



.h1[data-animation="text"] .anim-word {
  position: relative;
  display: inline-block;
  transform: translateY(140%); /* mouvement très marqué */
  opacity: 0;
  will-change: transform, opacity;
}

.sub-tag, .sub-tag-light {
    font-size: 14px;
    border-radius: 100px;
    display: inline-flex;
    padding: 9px 17px;
    letter-spacing: -0.15px;
}

.sub-tag{
	border: 1px solid rgba(255, 255, 255, 0.10);
	background: rgba(255, 255, 255, 0.05);
}

.sub-tag-light{
	border: 1px solid rgba(255, 255, 255, 0.10);
	background: rgba(2, 121, 120, 0.06);
}



.sub-tag:before, .sub-tag-light:before {
    content: "•";
    color: var(--accent);
    font-size: 30px;
    margin-top: -2px;
    margin-right: 3px;
}


.sub {
    font-family: "Source Code Pro";
    text-transform: uppercase;
    font-size: 22px;
    font-weight: 500;
}

/* CARDS */

.card-section .card {
    padding: 30px;
    border-radius: 10px;
}

/* Reveal text */


.split-char {
  opacity: 0.1;
  display: inline-block;
  white-space: pre;
  position: relative;
}


.split-line {
  display: block;
  overflow: hidden;
  position: relative;
}

.split-line__inner {
  display: inline-block;
  will-change: transform;
}



/* FAQ */

/* FAQ */

.schema-faq-question:hover {
    cursor: pointer;
}



.schema-faq-question{
	font-size: 22px;
	font-style: normal;
	font-weight: 400;
	display: block;
	padding: 15px 45px 15px 0px;
	position: relative;
}

@media (max-width: 768px){
	.schema-faq-question{
		font-size: 16px !important;
	}
}


p.schema-faq-answer {
	margin-bottom: 0px !important;
}

.wp-block-yoast-faq-block{
	border-top: 1px solid var(--base);
}

.schema-faq-section{
	border-bottom: 1px solid #ffffff7d;
}

strong.schema-faq-question:after {
    content: "+";
    position: absolute;
    right: 2px;
	border-radius: 8px;
	background: #014747;
	padding: 0px 0px 2px 0px;
	width: 30px;
    text-align: center;
	top: 20px;
}

.schema-faq-question{
	font-size: 20px;
}

.schema-faq-section.active .schema-faq-question:after {
            content: "-" !important;
        }
.schema-faq-section.active {
    padding-bottom: 20px;
}


.schema-faq-answer {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 0.4s ease, opacity 0.3s ease;
}

.schema-faq-section.active .schema-faq-answer {
    opacity: 1;
}

/* LINKED CONTAINER */

.linked-container, .blog .inside-article {
    position: relative;
}

.linked-container .link a:before, .blog .inside-article .entry-title a:before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 10;
}

.linked-container .link a, .blog .inside-article .entry-title a {
  text-decoration: none;
}


.link a {
    text-decoration: none !important;
}


/* TIMELINE */

.timeline{
  position: relative;
  padding-left: 40px; /* espace pour la ligne */
}

/* la ligne “fond” */
.timeline::before{
  content:"";
  position:absolute;
  left: 12px;          /* position à gauche */
  top: 0;
  width: 3px;
  height: 100%;
  background: rgba(0,0,0,.12);
  border-radius: 999px;
}

/* la ligne “progress” (celle qu’on anime) */
.timeline::after{
  content:"";
  position:absolute;
  left: 12px;
  top: 0;
  width: 3px;
  height: 100%;
  background: rgba(0,0,0,.9);
  border-radius: 999px;

  transform: scaleY(var(--progress, 0));
  transform-origin: top;
}